#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: criterion
version: 1.4.1.0
id: criterion-1.4.1.0-Knj8Gv6w4LFLWGZPZ621Ta
key: criterion-1.4.1.0-Knj8Gv6w4LFLWGZPZ621Ta
license: BSD-3-Clause
copyright: 2009-2016 Bryan O'\''Sullivan and others
maintainer: Ryan Scott <ryan.gl.scott@gmail.com>
author: Bryan O'\''Sullivan <bos@serpentine.com>
homepage: http://www.serpentine.com/criterion
synopsis: Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.
    .
    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.
    .
    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.
category: Development, Performance, Testing, Benchmarking
abi: 9dabeb2423488461d8b78426207697e3
exposed: True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Measurement Criterion.Monad Criterion.Report
    Criterion.Types
hidden-modules: Criterion.Monad.Internal Criterion.Types.Internal
                Paths_criterion
import-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.4.1.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-criterion
hs-libraries: HScriterion-1.4.1.0-Knj8Gv6w4LFLWGZPZ621Ta
depends:
    aeson-1.3.1.1-J1bdggn8TZj5jjcHYxM7mi
    ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm base-4.11.1.0
    base-compat-batteries-0.10.1-LG7t1c0cCz36PTZWZEdTpV binary-0.8.5.1
    bytestring-0.10.8.2 cassava-0.5.1.0-G5GnKPzb86g8eKVDKsncxN
    code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V containers-0.5.11.0
    deepseq-1.4.3.0 directory-1.3.1.5
    exceptions-0.10.0-7epDYg20HTz9YX9m9nzGfO filepath-1.4.2
    Glob-0.9.2-AbjvDlFSYnKBsiDSJQ0XCU
    microstache-1.0.1.1-CgsmLP2ndTG9QxR0QyqsRb
    js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ
    js-jquery-3.3.1-3FiOpDkNKYjFKhzXLujGlT mtl-2.2.2
    mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t
    optparse-applicative-0.14.2.0-2eDVpgsAe1xL6LOfCGKJrU
    parsec-3.1.13.0 statistics-0.14.0.2-5km4UR3QzHH9ztS27Bvfk0
    text-1.2.3.0 time-1.8.0.2 transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    vector-algorithms-0.7.0.1-EyyozaUjs08KrqwZf8niHA
abi-depends: aeson-1.3.1.1-J1bdggn8TZj5jjcHYxM7mi=4bd33a472ed49d1f25a046c18b4acb2d
             ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm=cbc795f0a49989e87d7491265173e6cf
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base-compat-batteries-0.10.1-LG7t1c0cCz36PTZWZEdTpV=ecc4267054473a41b73764a289bc4bdf
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             cassava-0.5.1.0-G5GnKPzb86g8eKVDKsncxN=1e6d64d57a2c8df9b63b43338912c9e3
             code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V=79049f84d9ede2f2865e34c7a6dfc923
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             exceptions-0.10.0-7epDYg20HTz9YX9m9nzGfO=87ba3c1011ac70bcfb17ce2e39a2e1bb
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             Glob-0.9.2-AbjvDlFSYnKBsiDSJQ0XCU=fe90daae121092f087f19649a03fe024
             microstache-1.0.1.1-CgsmLP2ndTG9QxR0QyqsRb=b224f4f2ca309150864c2541bad2adf8
             js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ=682f148b16a4228534fb18ce1bf6b5c5
             js-jquery-3.3.1-3FiOpDkNKYjFKhzXLujGlT=8dfb55e066a6edfdb16e87ae5d1f6e6a
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t=7344a5c7a09b43c4769d3fcfaa13b8fc
             optparse-applicative-0.14.2.0-2eDVpgsAe1xL6LOfCGKJrU=167699d54d61d2b1b6c082fc4a9ddc9b
             parsec-3.1.13.0=a963888603f65e0a8f63f07fffd516d6
             statistics-0.14.0.2-5km4UR3QzHH9ztS27Bvfk0=46b903a0c735a678b3526199bdfea0da
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=197a030c492741542d6f49bc76370bb8
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
             vector-algorithms-0.7.0.1-EyyozaUjs08KrqwZf8niHA=48bdf97ad77b62b8919d00fb3f43f591
haddock-interfaces: /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html: /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

